Ext.define('view.calendar.PlatformGrid', {
			extend : 'Ext.grid.Panel',
			alias : 'widget.calendar.platformGrid',
			id : 'firstGrid',
			maintainFlex : true,
			multiSelect : true,
			columnLines : true,
			initComponent : function() {
				Ext.define('DataObject', {
							extend : 'Ext.data.Model',
							fields : ['name', 'cast', 'cost']
						});
				var myData = [{
							name : "Scar Face",
							cast : "Alpachino",
							cost : "100"
						}, {
							name : "3 Idiots",
							cast : "Amir Khan",
							cost : "10"
						}, {
							name : "Harry Potter",
							cast : "Rowling",
							cost : "20"
						}, {
							name : "Due Date",
							cast : "Andy",
							cost : "30"
						}, {
							name : "Rocky",
							cast : "Balbova",
							cost : "40"
						}, {
							name : "Sajan",
							cast : "Salman",
							cost : "55"
						}, {
							name : "Black Swan",
							cast : "Penalope",
							cost : "65"
						}, {
							name : "Oceons Eleven",
							cast : "Bradd Pitt",
							cost : "75"
						}, {
							name : "Cast Awway",
							cast : "Tom Hanks",
							cost : "80"
						}, {
							name : "Don",
							cast : "Sharukh Khan",
							cost : "95"
						}];

				// create the data store
				var firstGridStore = Ext.create('Ext.data.Store', {
							model : 'DataObject',
							data : myData
						});

				// Column Model shortcut array
				var columns = [{
							text : "Movie",
							width : 130,
							sortable : true,
							dataIndex : 'name'
						}];

				Ext.apply(this, {
							viewConfig : {
								plugins : {
									ptype : 'gridviewdragdrop',
									dragGroup : 'firstGridDDGroup',
									dropGroup : 'secondGridDDGroup'
								},
								listeners : {
									drop : function(node, data, dropRec,
											dropPosition) {
										var dropOn = dropRec
												? ' ' + dropPosition + ' '
														+ dropRec.get('name')
												: ' on empty view';
									}
								}
							},
							store : firstGridStore,
							columns : columns,
							stripeRows : true,
							title : 'Movie Catalog',
							margins : '0 2 0 0'
						});
				this.callParent(arguments);
			}
		});