Ext.define('DataObject', {
			extend : 'Ext.data.Model',
			fields : ['name', 'cast', 'cost']
		});

Ext.define('view.calendar.ScriptGrid', {
			extend : 'Ext.grid.Panel',
			alias : 'widget.calendar.ScriptGrid',
			id : 'secondGrid',
			maintainFlex : true,
			columnLines : true,
			initComponent : function() {
				var myData = [{
							name : "Angels And Daemons",
							cast : "Tom Hanks",
							cost : "100"
						}];

				// create the data store
				var secondGridStore = Ext.create('Ext.data.Store', {
							model : 'DataObject',
							data : myData
						});

				// Column Model shortcut array
				var columns = [{
							text : "Movie",
							flex : 1,
							sortable : true,
							dataIndex : 'name'
						}, {
							text : "cast",
							width : 130,
							sortable : true,
							dataIndex : 'cast'
						}, {
							text : "cost",
							width : 70,
							sortable : true,
							dataIndex : 'cost'
						}];

				Ext.apply(this, {
							viewConfig : {
								plugins : {
									ptype : 'gridviewdragdrop',
									dragGroup : 'secondGridDDGroup',
									dropGroup : 'firstGridDDGroup'
								},
								listeners : {
									drop : function(node, data, dropRec,
											dropPosition) {
										var dropOn = dropRec
												? ' ' + dropPosition + ' '
														+ dropRec.get('name')
												: ' on empty view';
										// Ext.example.msg("Drag from left to
										// right", 'Dropped ' +
										// data.records[0].get('name') +
										// dropOn);
									}
								}
							},
							store : secondGridStore,
							columns : columns,
							stripeRows : true,
							title : 'Bucket',
							margins : '0 0 0 3'
						});
				this.callParent(arguments);
			}
		});